[X2Go-Commits] x2gothinclient.git - wheezy-tce (branch) updated: 1.0.1.8-100-ge537c9b

X2Go dev team git-admin at x2go.org
Mon Jul 22 11:14:33 CEST 2013


The branch, wheezy-tce has been updated
       via  e537c9b2c5b4951ff306b5eeaa21dff26f9595c4 (commit)
      from  a78fd5741d1be4b2f2b77ee6eb9387dc3ee80e98 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 .../sbin/x2gothinclient_cleanup                    |   42 +++++++--------
 .../sbin/x2gothinclient_create                     |   28 +++++-----
 .../sbin/x2gothinclient_preptftpboot               |   24 ++++-----
 x2gothinclientmanagement/sbin/x2gothinclient_shell |   24 ++++-----
 .../sbin/x2gothinclient_update                     |   24 ++++-----
 .../sbin/x2gothinclient_upgrade                    |   54 ++++++++++----------
 6 files changed, 98 insertions(+), 98 deletions(-)

The diff of changes is:
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_cleanup b/x2gothinclientmanagement/sbin/x2gothinclient_cleanup
index 1e22136..984b3e2 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_cleanup
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_cleanup
@@ -23,11 +23,11 @@
 set -e
 
 if echo $0 | egrep "^./bin/.*$" >/dev/null; then
-    ETCDIR="etc/"
+	ETCDIR="etc/"
 elif echo $0 | egrep "^./x2gothinclient_.*$" >/dev/null; then
-    ETCDIR="../etc"
+	ETCDIR="../etc"
 else
-    ETCDIR=/etc/x2go
+	ETCDIR=/etc/x2go
 fi
 
 source $ETCDIR/x2gothinclient_settings
@@ -38,9 +38,9 @@ TC_CONFIG="${TC_CONFIG:-$TC_BASE/etc}"
 TC_TFTP_BOOT="${TC_TFTP_BOOT:-/srv/tftp}"
 
 [ "x$USER" == "xroot" ] || { 
-    echo "ERROR: X2Go Thin Client management scripts have to run"
-    echo "as super-user root."
-    exit -2
+	echo "ERROR: X2Go Thin Client management scripts have to run"
+	echo "as super-user root."
+	exit -2
 }
 
 echo "X2go TCE cleanup..."
@@ -54,34 +54,34 @@ read
 
 # make sure, all chroot-internal mountpoints are gone...
 for mountpoint in proc dev/pts sys; do
-        while true; do
-                cat /proc/mounts | grep $TC_CHROOT/$mountpoint >/dev/null && umount $TC_CHROOT/$mountpoint || break
-        done
+	while true; do
+		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
+	done
 done
 
 # CHROOT + TCE config
 test -e "$TC_CHROOT" && {
-    echo "Removing $TC_CHROOT..."
-    rm -Rf "${TC_CHROOT}"
+	echo "Removing $TC_CHROOT..."
+	rm -Rf "${TC_CHROOT}"
 } || {
-    echo "WARNING: X2Go Thin Client chroot does not exist"
-    echo "at $TC_CHROOT. No cleanup necessary..."
+	echo "WARNING: X2Go Thin Client chroot does not exist"
+	echo "at $TC_CHROOT. No cleanup necessary..."
 }
 test -e "$TC_CONFIG" && {
-    echo "Removing $TC_CONFIG..."
-    rm -Rf "${TC_CONFIG}"
+	echo "Removing $TC_CONFIG..."
+	rm -Rf "${TC_CONFIG}"
 } || {
-    echo "WARNING: X2Go Thin Client config does not exist"
-    echo "at $TC_CONFIG. No cleanup necessary..."
+	echo "WARNING: X2Go Thin Client config does not exist"
+	echo "at $TC_CONFIG. No cleanup necessary..."
 }
 
 ### PXE/Syslinux
 test -e "$TC_TFTP_BOOT/pxelinux.cfg" && {
-    echo "Emptying $TC_TFTP_BOOT..."
-    rm -Rf "${TC_TFTP_BOOT}"/*
+	echo "Emptying $TC_TFTP_BOOT..."
+	rm -Rf "${TC_TFTP_BOOT}"/*
 } || {
-    echo "WARNING: X2Go PXE/Syslinux boot environment does not exist"
-    echo "at $TC_TFTP_BOOT. No cleanup necessary..."
+	echo "WARNING: X2Go PXE/Syslinux boot environment does not exist"
+	echo "at $TC_TFTP_BOOT. No cleanup necessary..."
 }
 
 echo
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index 3d160d5..42847b2 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
@@ -23,14 +23,14 @@
 set -e
 
 if echo $0 | egrep "^./bin/.*$" >/dev/null; then
-    ETCDIR="etc/"
-    SHAREDIR="share/"
+	ETCDIR="etc/"
+	SHAREDIR="share/"
 elif echo $0 | egrep "^./x2gothinclient_.*$" >/dev/null; then
-    ETCDIR="../etc"
-    SHAREDIR="../share/"
+	ETCDIR="../etc"
+	SHAREDIR="../share/"
 else
-    ETCDIR=/etc/x2go
-    SHAREDIR="/usr/share/x2go/tce/"
+	ETCDIR=/etc/x2go
+	SHAREDIR="/usr/share/x2go/tce/"
 fi
 
 source $ETCDIR/x2gothinclient_settings
@@ -44,14 +44,14 @@ TC_X2GO_DEBURL="${TC_X2GO_DEBURL:-'deb http://packages.x2go.org $TC_DISTRO_CODEN
 TC_MODULE_BLACKLIST="${TC_MODULE_BLACKLIST:-'pcspkr'}"
 
 test -e "$TC_CHROOT" && { 
-    echo "ERROR: X2Go Thin Client chroot already exists at $TC_CHROOT."
-    echo "Clear $TC_BASE/ and then run $(basename $0) again..."
-    exit -1
+	echo "ERROR: X2Go Thin Client chroot already exists at $TC_CHROOT."
+	echo "Clear $TC_BASE/ and then run $(basename $0) again..."
+	exit -1
 }
 
 [ "x$USER" == "xroot" ] || { 
-    echo "ERROR: X2Go Thin Client management scripts have to run as super-user root."
-    exit -2
+	echo "ERROR: X2Go Thin Client management scripts have to run as super-user root."
+	exit -2
 }
 
 echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
@@ -105,12 +105,12 @@ EOF
 
 # differences between Debian versions
 if [ "$TC_DISTRO_CODENAME" = "squeeze" ]; then
-  cat >> $TC_CHROOT/etc/fstab <<EOF
+	cat >> $TC_CHROOT/etc/fstab <<EOF
 none	/var/run		tmpfs	size=50M		0	0
 none	/var/lock		tmpfs	size=50M		0	0
 EOF
 elif [ "$TC_DISTRO_CODENAME" = "wheezy" ]; then
-  cat >> $TC_CHROOT/etc/fstab <<EOF
+	cat >> $TC_CHROOT/etc/fstab <<EOF
 none	/run			tmpfs	size=50M		0	0
 EOF
 fi
@@ -207,7 +207,7 @@ chroot $TC_CHROOT /x2go_tce_install.sh
 
 for mountpoint in proc dev/pts sys; do
 	while true; do
-		cat /proc/mounts | grep $TC_CHROOT/$mountpoint >/dev/null && umount $TC_CHROOT/$mountpoint || break
+		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
 	done
 done
 
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_preptftpboot b/x2gothinclientmanagement/sbin/x2gothinclient_preptftpboot
index 767a4d4..346fb13 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_preptftpboot
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_preptftpboot
@@ -23,14 +23,14 @@
 set -e
 
 if echo $0 | egrep "^./bin/.*$" >/dev/null; then
-    ETCDIR="etc/"
-    SHAREDIR="share/"
+	ETCDIR="etc/"
+	SHAREDIR="share/"
 elif echo $0 | egrep "^./x2gothinclient_.*$" >/dev/null; then
-    ETCDIR="../etc"
-    SHAREDIR="../share/"
+	ETCDIR="../etc"
+	SHAREDIR="../share/"
 else
-    ETCDIR=/etc/x2go
-    SHAREDIR="/usr/share/x2go/tce"
+	ETCDIR=/etc/x2go
+	SHAREDIR="/usr/share/x2go/tce"
 fi
 
 source $ETCDIR/x2gothinclient_settings
@@ -43,15 +43,15 @@ TC_TFTP_BOOT="${TC_TFTP_BOOT:-/srv/tftp}"
 mkdir -p "$TC_TFTP_BOOT"
 
 test -e "$TC_TFTP_BOOT/pxelinux.cfg" && { 
-    echo "PXE boot files already found at $TC_TFTP_BOOT."
-    echo "Clear $TC_TFTP_BOOT/ and then run $(basename $0) again..."
-    exit -1
+	echo "PXE boot files already found at $TC_TFTP_BOOT."
+	echo "Clear $TC_TFTP_BOOT/ and then run $(basename $0) again..."
+	exit -1
 }
 
 [ "x$USER" == "xroot" ] || { 
-    echo "ERROR: X2Go Thin Client management scripts have to run"
-    echo "as super-user root."
-    exit -2
+	echo "ERROR: X2Go Thin Client management scripts have to run"
+	echo "as super-user root."
+	exit -2
 }
 
 echo "Preparing PXE boot configuration for X2Go TCE..."
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_shell b/x2gothinclientmanagement/sbin/x2gothinclient_shell
index fc70488..736776e 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_shell
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_shell
@@ -23,11 +23,11 @@
 set -e
 
 if echo $0 | egrep "^./bin/.*$" >/dev/null; then
-    ETCDIR="etc/"
+	ETCDIR="etc/"
 elif echo $0 | egrep "^./x2gothinclient_.*$" >/dev/null; then
-    ETCDIR="../etc/"
+	ETCDIR="../etc/"
 else
-    ETCDIR=/etc/x2go/
+	ETCDIR=/etc/x2go/
 fi
 
 source $ETCDIR/x2gothinclient_settings
@@ -36,15 +36,15 @@ TC_SHELL="${TC_SHELL:-bash}"
 TC_CHROOT="${TC_CHROOT:-/opt/x2gothinclient}"
 
 test -e "$TC_CHROOT" || { 
-    echo "ERROR: X2Go Thin Client chroot does not exist at $TC_CHROOT."
-    echo "Run x2gothinclient_create to create it..."
-    exit -1
+	echo "ERROR: X2Go Thin Client chroot does not exist at $TC_CHROOT."
+	echo "Run x2gothinclient_create to create it..."
+	exit -1
 }
 
 [ "x$USER" == "xroot" ] || { 
-    echo "ERROR: X2Go Thin Client management scripts have to run"
-    echo "as super-user root."
-    exit -2
+	echo "ERROR: X2Go Thin Client management scripts have to run"
+	echo "as super-user root."
+	exit -2
 }
 
 cat > "$TC_CHROOT/x2go_tce_shell.sh" <<EOF
@@ -104,7 +104,7 @@ chroot "$TC_CHROOT" /x2go_tce_shell.sh
 test -f "$TC_CHROOT/etc/resolv.conf.disabled-by-x2go" && mv "$TC_CHROOT/etc/resolv.conf.disabled-by-x2go" "$TC_CHROOT/etc/resolv.conf"
 
 for mountpoint in proc dev/pts sys; do
-        while true; do
-                cat /proc/mounts | grep $TC_CHROOT/$mountpoint >/dev/null && umount $TC_CHROOT/$mountpoint || break
-        done
+	while true; do
+		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
+	done
 done
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_update b/x2gothinclientmanagement/sbin/x2gothinclient_update
index 107bff4..1de7328 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_update
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_update
@@ -23,11 +23,11 @@
 set -e
 
 if echo $0 | egrep "^./bin/.*$" >/dev/null; then
-    ETCDIR="etc/"
+	ETCDIR="etc/"
 elif echo $0 | egrep "^./x2gothinclient_.*$" >/dev/null; then
-    ETCDIR="../etc"
+	ETCDIR="../etc"
 else
-    ETCDIR=/etc/x2go
+	ETCDIR=/etc/x2go
 fi
 
 source $ETCDIR/x2gothinclient_settings
@@ -37,21 +37,21 @@ TC_CHROOT="${TC_CHROOT:-$TC_BASE/chroot}"
 TC_CONFIG="${TC_CONFIG:-$TC_BASE/etc}"
 
 test -e "$TC_CHROOT" || { 
-    echo "ERROR: X2Go Thin Client chroot does not exist at $TC_CHROOT."
-    echo "Run x2gothinclient_create to create it..."
-    exit -1
+	echo "ERROR: X2Go Thin Client chroot does not exist at $TC_CHROOT."
+	echo "Run x2gothinclient_create to create it..."
+	exit -1
 }
 
 test -e "$TC_CONFIG" || { 
-    echo "ERROR: No X2Go Thin Client configuration found"
-    echo "at $TC_CONFIG. Please check..."
-    exit -1
+	echo "ERROR: No X2Go Thin Client configuration found"
+	echo "at $TC_CONFIG. Please check..."
+	exit -1
 }
 
 [ "x$USER" == "xroot" ] || { 
-    echo "ERROR: X2Go Thin Client management scripts have to run"
-    echo "as super-user root."
-    exit -2
+	echo "ERROR: X2Go Thin Client management scripts have to run"
+	echo "as super-user root."
+	exit -2
 }
 
 mkdir -p "$TC_CHROOT/etc/x2go"
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_upgrade b/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
index 1cdca46..a53c183 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
@@ -23,11 +23,11 @@
 set -e
 
 if echo $0 | egrep "^./bin/.*$" >/dev/null; then
-    ETCDIR="etc/"
+	ETCDIR="etc/"
 elif echo $0 | egrep "^./x2gothinclient_.*$" >/dev/null; then
-    ETCDIR="../etc"
+	ETCDIR="../etc"
 else
-    ETCDIR=/etc/x2go
+	ETCDIR=/etc/x2go
 fi
 
 source $ETCDIR/x2gothinclient_settings
@@ -35,15 +35,15 @@ source $ETCDIR/x2gothinclient_settings
 TC_CHROOT="${TC_CHROOT:-/opt/x2gothinclient}"
 
 test -e "$TC_CHROOT" || { 
-    echo "ERROR: X2Go Thin Client chroot does not exist at $TC_CHROOT."
-    echo "Run x2gothinclient_create to create it..."
-    exit -1
+	echo "ERROR: X2Go Thin Client chroot does not exist at $TC_CHROOT."
+	echo "Run x2gothinclient_create to create it..."
+	exit -1
 }
 
 [ "x$USER" == "xroot" ] || { 
-    echo "ERROR: X2Go Thin Client management scripts have to run"
-    echo "as super-user root."
-    exit -2
+	echo "ERROR: X2Go Thin Client management scripts have to run"
+	echo "as super-user root."
+	exit -2
 }
 
 cat > "$TC_CHROOT/x2go_tce_upgrade.sh" <<EOF
@@ -56,16 +56,16 @@ export ftp_proxy=$TC_FTP_PROXY
 
 # migrate start-stop-daemon to wrapper & variable based start-stop-daemon execution
 if [ \$(stat --format '%s' /sbin/start-stop-daemon) -gt 200 ]; then
-        cp /sbin/start-stop-daemon /sbin/start-stop-daemon.real
-        echo '#!/bin/sh'                                                             > /sbin/start-stop-daemon
-        echo '#'                                                                     >> /sbin/start-stop-daemon
-        echo '# X2Go Wrapper to avoid running daemons while performing maintenance.' >> /sbin/start-stop-daemon
-        echo '#'                                                                     >> /sbin/start-stop-daemon
-        echo                                                                         >> /sbin/start-stop-daemon
-        echo 'if [ "\$X2GO_HANDLE_DAEMONS" != "false" ]; then'                        >> /sbin/start-stop-daemon
-        echo '        /sbin/start-stop-daemon.real "\$@"'                             >> /sbin/start-stop-daemon
-        echo 'fi'                                                                    >> /sbin/start-stop-daemon
-        chmod a+x /sbin/start-stop-daemon
+	cp /sbin/start-stop-daemon /sbin/start-stop-daemon.real
+	echo '#!/bin/sh'                                                             > /sbin/start-stop-daemon
+	echo '#'                                                                     >> /sbin/start-stop-daemon
+	echo '# X2Go Wrapper to avoid running daemons while performing maintenance.' >> /sbin/start-stop-daemon
+	echo '#'                                                                     >> /sbin/start-stop-daemon
+	echo                                                                         >> /sbin/start-stop-daemon
+	echo 'if [ "\$X2GO_HANDLE_DAEMONS" != "false" ]; then'                        >> /sbin/start-stop-daemon
+	echo '        /sbin/start-stop-daemon.real "\$@"'                             >> /sbin/start-stop-daemon
+	echo 'fi'                                                                    >> /sbin/start-stop-daemon
+	chmod a+x /sbin/start-stop-daemon
 fi
 
 export X2GO_HANDLE_DAEMONS=false
@@ -75,11 +75,11 @@ export X2GO_HANDLE_DAEMONS=false
 
 # check for kernel upgrades
 for symlink in /vmlinuz /vmlinuz.old /initrd.img /initrd.img.old; do
-    if [ -h \$symlink ]; then
-	symlink_target=\$(ls -l "\$symlink" | awk '{print \$11}')
-	echo \$symlink_target | egrep ".*-486$" >/dev/null && mv \$symlink \${symlink/.old/}.486
-	echo \$symlink_target | egrep ".*-686$" >/dev/null && mv \$symlink \${symlink/.old/}.686
-    fi
+	if [ -h \$symlink ]; then
+		symlink_target=\$(ls -l "\$symlink" | awk '{print \$11}')
+		echo \$symlink_target | egrep ".*-486$" >/dev/null && mv \$symlink \${symlink/.old/}.486
+		echo \$symlink_target | egrep ".*-686$" >/dev/null && mv \$symlink \${symlink/.old/}.686
+	fi
 done
 
 # restore start-stop-daemon
@@ -99,7 +99,7 @@ mount | grep $TC_CHROOT/dev/pts >/dev/null || mount -tdevpts devts $TC_CHROOT/de
 chroot "$TC_CHROOT" /x2go_tce_upgrade.sh
 
 for mountpoint in proc dev/pts sys; do
-        while true; do
-                cat /proc/mounts | grep $TC_CHROOT/$mountpoint >/dev/null && umount $TC_CHROOT/$mountpoint || break
-        done
+	while true; do
+		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
+	done
 done


hooks/post-receive
-- 
x2gothinclient.git (X2Go Thin Client Environment)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gothinclient.git" (X2Go Thin Client Environment).




More information about the x2go-commits mailing list